hadoop-common-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Tomorrow (JIRA)" <j...@apache.org>
Subject [jira] [Created] (HADOOP-11650) configuration file generates syntax error on Ubuntu14.10 with bash 4.3
Date Sat, 28 Feb 2015 09:55:05 GMT
Tomorrow created HADOOP-11650:
---------------------------------

             Summary: configuration file generates syntax error on Ubuntu14.10 with bash 4.3
                 Key: HADOOP-11650
                 URL: https://issues.apache.org/jira/browse/HADOOP-11650
             Project: Hadoop Common
          Issue Type: Bug
          Components: conf
    Affects Versions: 2.6.0
         Environment: hadoop: 2.6.0
OS: Linux version 3.16.0-31-generic (buildd@batsu) (gcc version 4.9.1 (Ubuntu 4.9.1-16ubuntu6)
)
bash:GNU bash, version 4.3.30(1)-release (x86_64-pc-linux-gnu)
            Reporter: Tomorrow
            Priority: Critical


hadoop configuration file : /path/to/hadoop/libexec/hadoop-config.sh
line:99
if [[ ( "$HADOOP_SLAVES" != '' ) && ( "$HADOOP_SLAVE_NAMES" != '' ) ]] ; then

On system ubuntu 14.10 (Linux version 3.16.0-31-generic & Bash version 4.3.s) , this'll
generate a syntax error :

hadoop-config.sh: 99: hadoop-config.sh: Syntax error: word unexpected (expecting ")")




--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message